/* Containers */
.UpdatesContainer
{
    overflow: hidden;
    position: relative;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-image: url("../../Profile/Sources/repeat.png");
    background-size: 100% auto;
    background-repeat: repeat-y;
}

.UpdatesJustifier
{
    position: relative;
    padding: 0.5rem 0;

    max-width: 1200px;
    width: 100%;
    height: 100%;

    display: flex;
    flex-direction: column;
    overflow: hidden;
    
    background-color: black;
    box-shadow: 0px 0px 50px 30px black;
}

/* Versions */
.VersionContainer
{
    position: relative;

    display: flex;
    flex-direction: row;
    align-items: center;

    width: 100%;
    height: 5rem;

    background-color: rgb(40, 40, 40);
    box-shadow: inset 0px 0px 15px rgba(0,0,0,0.5);

    /* Prevent text selection while dragging */
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.VersionContainer a
{
    position: relative;
    margin-left: 0.25rem;

    display: flex;
    justify-content: center;
    align-items: center;

    width: 6rem;
    height: 4.5rem;

    background-color: rgb(80, 80, 80);
    box-shadow: inset 0px 0px 15px rgba(0,0,0,0.5);

    font-size: 1.5rem;
    color: white;
}

.VersionInformation
{
    position: relative;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

    width: 100%;
    height: 100%;
}

.VersionInformation div
{
    position: relative;
    margin-left: 1rem;

    display: flex;
    flex-direction: row;
    align-items: center;

    font-size: 1rem;

    transition-property: opacity;
    transition-duration: 0.5s;
    transition-timing-function: ease-in;
}

.VersionInformation div i
{
    color: rgb(255, 0, 0);
}

.VersionInformation div p
{
    color: white;
    margin-left: 0.25rem;
}

.VersionInformation section
{
    position: relative;
    margin-right: 1rem;

    font-size: 1rem;
    color: rgb(150, 150, 150);

    transition-property: color;
    transition-duration: 0.2s;
    transition-timing-function: ease-in;
}

.UpgradeContainer
{
    position: relative;
    overflow: hidden;

    display: flex;
    flex-direction: column;

    width: 100%;
    height: 0rem;
    background-color: rgb(60, 60, 60);

    transition-property: height;
    transition-duration: 0.5s;
    transition-timing-function: ease-in;
}

.UpgradeContainer div
{
    position: relative;
    display: flex;
    flex-direction: row;
}

.UpgradeContainer div:first-child
{
    margin-top: 25px;
}

.UpgradeText
{
    position: relative;
    margin: 0;
    margin-left: 15%;
    margin-right: 1rem;

    display: flex;
    align-items: flex-start;

    width: 85%;

    min-height: 2rem;
    line-height: 150%;

    text-align: justify;
    font-size: 0.9rem;
    color: white;
}

.UpgradeDescription
{
    position: relative;
    margin: 0;

    display: flex;
    align-items: center;

    margin-left: 15%;
    padding-left: 5%;
    width: 85%;

    min-height: 1.5rem;
    line-height: 150%;

    font-size: 0.7rem;
    color: rgb(200, 200, 200);

    background-color: rgb(80, 80, 80);
}

/* Desktop devices */
@media (hover: hover)
{
    .VersionInformation section:hover
    {
        cursor: pointer;
        color: rgb(255, 0, 0);
    }
}